import request from '/@/utils/request';

export function proIndexApi() {
    return {
        indexApi: (params?: object) => {
            return request({
                url: '/chart/project/v1/total',
                method: 'get',
                params,
            });
        },
        tablelistApi: (params?: object) => {
            return request({
                url: '/chart/project/v1',
                method: 'get',
                params,
            });
        },
        // 详情页面接口
        projectApi: (params?: object) => {
            return request({
                url: '/chart/project/v1/' + params,
                method: 'GET',
            });
        },
        // 拿地未开工项目列表
        tablenouselistApi: (params?: object) => {
            return request({
                url: '/chart/land/v1',
                method: 'get',
                params,
            });
        },
        hebing: (params?: object) => {
            return request({
                url: '/chart/project/v1/merge',
                method: 'posts',
                data:{
                    ...params
                },
            });
        },
        xgxmbtn: (params?: object) => {
            return request({
                url: '/chart/project/v1/edit',
                method: 'posts',
                data:{
                    ...params
                },
            });
        },
        xgxmxx: (params?: object) => {
            return request({
                url: '/chart/project/v1/' + params,
                method: 'get',
            });
        },
        //拿地未开工新增功能
        ndwkftables: (params?: object) => {
            return request({
                url: 'chart/land/v1/landMain',
                method: 'get',
                params,
            });
        },
        tablsBtns: (params?: object) => {
            return request({
                url: 'chart/land/v1/addLandNoStart',
                method: 'posts',
                data:params,
            });
        },
        tablsshanchu: (params?: object) => {
            return request({
                url: 'chart/land/v1/remove/' + params,
                method: 'get',
            });
        },
        //施工许可证
        sgxkzlist: (params?: object) => {
            return request({
                url: '/cron/overdue',
                method: 'get',
                params,
            });
        },
        sgxkzLzlist: (params?: object) => {
            return request({
                url: '/chart/building/v1/permit',
                method: 'get',
                params,
            });
        },
        sgxkzLzlistGuanlian: (params?: object) => {
            return request({
                url: '/cron/overdue/link',
                method: 'posts',
                data:{
                    ...params
                },
            });
        },
        chushihua: (params?: object) => {
            return request({
                url: '/chart/project/v1/revert',
                method: 'get',
            });
        },
    };
}
